XMLReader::readString
XMLReader::setRelaxNGSchema
XMLReader
PHP Manual

# XMLReader::setParserProperty

(PHP 5 >= 5.1.0)

XMLReader::setParserProperty — Fixe des options pour l'analyseur

### Description

public bool XMLReader::setParserProperty ( int `$property` , bool `$value` )

Fixe des options pour l'analyseur. Les options doivent être fixées après l'appel de XMLReader::open() ou XMLReader::xml() et avant le premier appel de XMLReader::read().

### Liste de paramètres

`property`

  Une des constantes d'analyseur.

`value`

  Si fixée à `TRUE`, l'option sera activée sinon elle sera désactivée.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

XMLReader::readString
XMLReader::setRelaxNGSchema
XMLReader
PHP Manual